Subject: Word97 + Unicode: Preliminary Experimental Results

From: Richard S Cook <[email-masked]>
Date: Fri, 7 Feb 1997 08:55:54 -0500

This just came across the unicode list this a.m., part of an ongoing
discussion that I'm sure will interest some.  Nothing political here, I
hope.  But please, any remarks belong to the original author, and do not
necessarily reflect my own opinion.  Apologies for cross postings, and I
hope somebody finds this useful.

****************forwarded message begins****************
>From [email-masked]  Fri Feb  7 04:11:58 1997
Date: Thu, 6 Feb 97 20:11:58 -0800
From: [email-masked]
Reply-To: "Glen C. Perkins" <[email-masked]>
Subject: Word97: Preliminary Experimental Results
To: [email-masked]

Well, I went out and bought Office97, mostly in order to have a
Unicode-based Word.

I've installed all the "Far East" language packs, and have discovered a
couple of odd things. First, if I open everyone's favorite test page,

http://www.cm.spyglass.com/unicode/iuc10/x-utf8.html

I get missing-char boxes where the kanji and hanzi should be. Not too
surprising since the new direct HTML support probably uses some "HTML
default fonts" (one for proportional, one for fixed) defined somewhere,
and those fonts are probably 8859-1.

When I select a some CJK text and choose one of the Asian fonts, it works
as I would expect (well, *after* I remind myself again that kana chars
*are* included in the Chinese charsets, and that the JIS charset does
include the traditional 'country' (kuni, guo2, kuk) char!), but if I
change to other Asian fonts to see how they look, my machine locks up
after a couple of changes.

My assumption is that Word97 is trying to hold all of these enormous fonts
simultaneously in memory and choking on them. It locks up tight, and I'm
forced to control-alt-delete the app to get out of it. It appears as
though working with multiple Asian languages means 1) save your work
often, 2) "multilingual" doesn't necessarily mean "at the same time", and
3) choose your favorite font and stick with it. It may also mean getting
more than the apparently wimpy 32MB of RAM that I have.

Oddly, after changing to a double-byte font, if I change the font to plain
ol' Arial (sometime before my quarter runs out and the game locks up ;-)
), the CJK chars remain CJK. They don't go back to being missing-char
boxes. They do seem to change shape a bit, though, but the font drop-down
menu above claims they are Arial, which is obviously wrong, so I don't
know what font they really are.

I was hoping to solve some of the mysteries surrounding Office97's new
unicode support, so I asked the talking paperclip (the new help agent)
what he could tell me about unicode support. He hadn't heard of unicode.
I went into the help index manually, but "uninstall" is all it could
suggest in answer to "unicode". Hmmm... Nowhere in the help system, or the
printed manual, that I can find, is unicode mentioned (although, of
course, I may have missed it.)

I tried asking the paperclip about Japanese. He recognized that and
cheerfully took me to a page showing how to install "multilingual support"
which, it said, means I can now display docs written in "any European
language." I eventually found one sentence that says you can display "Far
Eastern" languages if you add support for them, but it doesn't say what
that means or how to add such support. It's not a part of the standard
installation, nor is it included among the huge number of options when
doing a custom install. There doesn't appear to be anything in any readme
doc that I've found telling users how to set up CJK support. Because I
knew it was there somewhere, thanks to Lori and Murray on this mailing
list, I eventually found the files in the "Far East" directory, in the
"ValuePack" directory. No readme in the directory, though, just
executables with cryptic names like chtsupp.exe (presumably Chinese
Traditional Support--MS likes those 8.3 filenames.)  Not a feature anyone
is going to accidentally discover or easily figure out how to use if they
do. The installer .exe's want you to reboot your machine between each
language pack, too. (I thought I could ignore it and reboot once at the
end, but I was punished....) It would have been nicer if they had been
listed in English as options during a custom install.

I'll get in and crawl around with a hex editor and figure things out for
myself, since that's the sort of thing I do for a living, but this is
still an implementation more suited to CS majors than Japanese majors.

I'm extremely pleased to see the direction Microsoft is going with
multilingual support, but this has all the appearances of a valiant
behind-the-scenes effort by a few wonderful people trying to do the right
thing amongst a sea of developers and marketers with "more important"
things on their minds than meeting the needs of the eccentric multilingual
fringe. ;-)

Keep up the fight,
__Glen Perkins__